class CopyJob

# class CopyJob |
Full name | `KIO::CopyJob`
Definition | `#include <jobclasses.h>`
Inherits | KIO::Job [public ]
List of all Methods
Annotated List
Files
Globals
Hierarchy
Index

#### Public Types

- enum CopyMode { Copy, Move, Link }

#### Public Methods

- CopyJob ( const KURL::List& src, const KURL& dest, CopyMode mode, bool asMethod, bool showProgressInfo )
- KURL::List srcURLs () const
- KURL destURL () const

#### Signals

- void totalFiles ( KIO::Job *, unsigned long files )
- void totalDirs ( KIO::Job *, unsigned long dirs )
- void processedFiles ( KIO::Job *, unsigned long files )
- void processedDirs ( KIO::Job *, unsigned long dirs )
- void copying ( KIO::Job *, const KURL& from, const KURL& to )
- void linking ( KIO::Job *, const QString& target, const KURL& to )
- void moving ( KIO::Job *, const KURL& from, const KURL& to )
- void creatingDir ( KIO::Job *, const KURL& dir )
- void renamed ( KIO::Job *, const KURL& from, const KURL& to )
- void copyingDone ( KIO::Job *, const KURL &from, const KURL &to, bool directory, bool renamed )
- void copyingLinkDone ( KIO::Job *, const KURL &from, const QString& target, const KURL& to )

#### Protected Methods

- void statNextSrc ()
- void slotResultStating ( KIO::Job * job )
- void startListing ( const KURL & src )
- void slotResultCreatingDirs ( KIO::Job * job )
- void slotResultConflictCreatingDirs ( KIO::Job * job )
- void createNextDir ()
- void slotResultCopyingFiles ( KIO::Job * job )
- void slotResultConflictCopyingFiles ( KIO::Job * job )
- void copyNextFile ()
- void slotResultDeletingDirs ( KIO::Job * job )
- void deleteNextDir ()
- void skip ( const KURL & sourceURL )
- virtual void virtual_hook ( int id, void* data )

#### Protected Slots

- void slotStart ()
- void slotEntries ( KIO::Job*, const KIO::UDSEntryList& list )
- virtual void slotResult ( KIO::Job *job )
- void slotProcessedSize ( KIO::Job*, KIO::filesize_t data_size )
- void slotTotalSize ( KIO::Job*, KIO::filesize_t size )
- void slotReport ()

## Detailed Description

enum CopyMode { Copy, Move, Link } | ### CopyMode

CopyJob ( const KURL::List& src, const KURL& dest, CopyMode mode, bool asMethod, bool showProgressInfo ) | ### CopyJob

KURL::List srcURLs () | ### srcURLs

[const]

KURL destURL () | ### destURL

[const]

void totalFiles ( KIO::Job *, unsigned long files ) | ### totalFiles

[signal]

void totalDirs ( KIO::Job *, unsigned long dirs ) | ### totalDirs

[signal]

void processedFiles ( KIO::Job *, unsigned long files ) | ### processedFiles

[signal]

void processedDirs ( KIO::Job *, unsigned long dirs ) | ### processedDirs

[signal]

void copying ( KIO::Job *, const KURL& from, const KURL& to ) | ### copying

[signal]

The job is copying a file or directory

void linking ( KIO::Job *, const QString& target, const KURL& to ) | ### linking

[signal]

The job is creating a symbolic link

void moving ( KIO::Job *, const KURL& from, const KURL& to ) | ### moving

[signal]

The job is moving a file or directory

void creatingDir ( KIO::Job *, const KURL& dir ) | ### creatingDir

[signal]

The job is creating the directory `dir`

void renamed ( KIO::Job *, const KURL& from, const KURL& to ) | ### renamed

[signal]

The user chose to rename 'from' to 'to'

void copyingDone ( KIO::Job *, const KURL &from, const KURL &to, bool directory, bool renamed ) | ### copyingDone

[signal]

The job emits this signal when copying or moving a file or directory successfully finished.

Parameters:

src | the source URL
dst | the destination URL
direction | indicates whether a file or directory was successfully copied/moved
renamed | indicates that the destination URL was created using a rename operation (i.e. fast directory moving). This signal is mainly for the Undo feature.

void copyingLinkDone ( KIO::Job *, const KURL &from, const QString& target, const KURL& to ) | ### copyingLinkDone

[signal]

The job is copying or moving a symbolic link, that points to target. The new link is created in `to`. The existing one is/was in `from`. This signal is mainly for the Undo feature.

void statNextSrc () | ### statNextSrc

[protected]

void slotResultStating ( KIO::Job * job ) | ### slotResultStating

[protected]

void startListing ( const KURL & src ) | ### startListing

[protected]

void slotResultCreatingDirs ( KIO::Job * job ) | ### slotResultCreatingDirs

[protected]

void slotResultConflictCreatingDirs ( KIO::Job * job ) | ### slotResultConflictCreatingDirs

[protected]

void createNextDir () | ### createNextDir

[protected]

void slotResultCopyingFiles ( KIO::Job * job ) | ### slotResultCopyingFiles

[protected]

void slotResultConflictCopyingFiles ( KIO::Job * job ) | ### slotResultConflictCopyingFiles

[protected]

void copyNextFile () | ### copyNextFile

[protected]

void slotResultDeletingDirs ( KIO::Job * job ) | ### slotResultDeletingDirs

[protected]

void deleteNextDir () | ### deleteNextDir

[protected]

void skip ( const KURL & sourceURL ) | ### skip

[protected]

void slotStart () | ### slotStart

[protected slots slot]

void slotEntries ( KIO::Job*, const KIO::UDSEntryList& list ) | ### slotEntries

[protected slots slot]

void slotResult ( KIO::Job *job ) | ### slotResult

[protected slots virtual slot]

Reimplemented from Job.

void slotProcessedSize ( KIO::Job*, KIO::filesize_t data_size ) | ### slotProcessedSize

[protected slots slot]

Forward signal from subjob

void slotTotalSize ( KIO::Job*, KIO::filesize_t size ) | ### slotTotalSize

[protected slots slot]

Forward signal from subjob

void slotReport () | ### slotReport

[protected slots slot]

void virtual_hook ( int id, void* data ) | ### virtual_hook

[protected virtual]

Reimplemented from Job.

Generated by: root on macppc.ports.openbsd.org on Sat Sep 6 10:36:57 2003, using kdoc 2.0a54.